Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 593741 - Regression: Login screen not visible on multimonitor laptop
Regression: Login screen not visible on multimonitor laptop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 650368 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 11:35 EDT by Chuck Dubuque
Modified: 2018-04-11 06:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (58.72 KB, text/plain)
2010-07-08 09:10 EDT, markm
no flags Details
Xorg.1.log (39.69 KB, text/plain)
2010-07-08 09:10 EDT, markm
no flags Details
output of dmesg (59.15 KB, text/plain)
2010-07-08 09:11 EDT, markm
no flags Details
/var/log/messages (361.85 KB, text/plain)
2010-07-08 09:11 EDT, markm
no flags Details

  None (edit)
Description Chuck Dubuque 2010-05-19 11:35:08 EDT
Description of problem:
This was an issue I had with earlier versions of F12 that was eventually fixed. F13 reintroduces the issue. Have a Lenovo X200 laptop with an external VGA and external Displayport monitor attached (dual head config). At login, the login screen is not visible/corrupted. You have to enter the password blind. After login, screens display correctly.


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-4.fc13 (x86_64)

How reproducible:
Always


Steps to Reproduce:
1. Reboot or log off
2. Try to log on
  
Actual results:
During reboot, only the Displayport screen shows any picture (VGA is no-signal). When reboot is complete, Displayport goes to no signal. VGA screen shows a corrupted slice of the login screen squashed to the left 1/3 of the screen. You can't see the login dialog box, so you have to blindly hit enter and enter the password. If something goes wrong, you can't tell. 

Once the login is accepted, both monitors have picture an appear normally.


Expected results:
When this was fixed in F12, during reboot both screens (VGA and Displayport) would mirror each other, and show full picture throughout reboot process. At login, the primary screen (Displayport) would show the login screen in full so you could see the primary username and choose another if you wanted. Once login was complete, you would see both screens normally.


Additional info:
Comment 1 markm 2010-07-08 09:09:22 EDT
My colleague has similar problem with his laptop and an external monitor, so I
will answer those questions:

$ cat /etc/X11/xorg.conf
cat: /etc/X11/xorg.conf: No such file or directory

other files will follow.
Comment 2 markm 2010-07-08 09:10:30 EDT
Created attachment 430348 [details]
Xorg.0.log
Comment 3 markm 2010-07-08 09:10:44 EDT
Created attachment 430349 [details]
Xorg.1.log
Comment 4 markm 2010-07-08 09:11:03 EDT
Created attachment 430350 [details]
output of dmesg
Comment 5 markm 2010-07-08 09:11:17 EDT
Created attachment 430351 [details]
/var/log/messages
Comment 6 Matěj Cepl 2010-11-09 17:43:46 EST
*** Bug 650368 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2012-08-16 12:56:30 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.